# Terms And Conditions

## Get Terms and Conditions for a Merchant

> Retrieve all terms and conditions applicable to the specified merchant.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/legaldocuments/v1/TermsAndConditions/{merchantNumber}":{"get":{"tags":["Terms And Conditions"],"summary":"Get Terms and Conditions for a Merchant","description":"Retrieve all terms and conditions applicable to the specified merchant.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"shouldMaskSensitiveData","in":"query","description":"Indicates whether sensitive data should be masked in the response.","schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsAndConditionsCollection"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResults"}}}}}}}},"components":{"schemas":{"TermsAndConditionsCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/TermsAndConditions"},"nullable":true}},"additionalProperties":false},"TermsAndConditions":{"type":"object","properties":{"termsAndConditionsID":{"type":"integer","description":"Deprecated identifier for terms and conditions. Values may differ between Sandbox and Production. Use typeID instead.","format":"int32"},"typeID":{"type":"integer","description":"Identifier for a specific set of terms and conditions. When programming against the terms and conditions endpoints this identifier should be used to select the desired set of terms and conditions.","format":"int32"},"text":{"type":"string","description":"A string containing the terms and conditions in an HTML format. Can be used for displaying the terms and conditions on a website.","nullable":true},"effectiveDateUTC":{"type":"string","description":"The UTC date when these terms and conditions went into effect.","format":"date-time"}},"additionalProperties":false},"ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BoardingError"},"nullable":true}},"additionalProperties":false},"BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","nullable":true},"resultCode":{"type":"integer","format":"int32"},"timeStamp":{"type":"string","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}}}
```

## Get Terms and Conditions for a Specific Type ID

> Retrieve the terms and conditions entry associated with the specified merchant and type ID.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/legaldocuments/v1/TermsAndConditions/{merchantNumber}/{typeID}":{"get":{"tags":["Terms And Conditions"],"summary":"Get Terms and Conditions for a Specific Type ID","description":"Retrieve the terms and conditions entry associated with the specified merchant and type ID.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"typeID","in":"path","description":"The unique identifier of the terms and conditions type.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"shouldMaskSensitiveData","in":"query","description":"Indicates whether sensitive data should be masked in the response.","schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsAndConditions"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResults"}}}}}}}},"components":{"schemas":{"TermsAndConditions":{"type":"object","properties":{"termsAndConditionsID":{"type":"integer","description":"Deprecated identifier for terms and conditions. Values may differ between Sandbox and Production. Use typeID instead.","format":"int32"},"typeID":{"type":"integer","description":"Identifier for a specific set of terms and conditions. When programming against the terms and conditions endpoints this identifier should be used to select the desired set of terms and conditions.","format":"int32"},"text":{"type":"string","description":"A string containing the terms and conditions in an HTML format. Can be used for displaying the terms and conditions on a website.","nullable":true},"effectiveDateUTC":{"type":"string","description":"The UTC date when these terms and conditions went into effect.","format":"date-time"}},"additionalProperties":false},"ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BoardingError"},"nullable":true}},"additionalProperties":false},"BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","nullable":true},"resultCode":{"type":"integer","format":"int32"},"timeStamp":{"type":"string","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}}}
```
